Posted By: Nick Sieger
Date: 2008-03-19 15:40
Summary: activerecord-jdbc-adapter 0.8 Released
Project: JRuby Extras

activerecord-jdbc-adapter version 0.8 has been released!

ActiveRecord-JDBC is a database adapter for Rails' ActiveRecord component that can be used with JRuby[http://www.jruby.org/]. It allows use of virtually any JDBC-compliant database with your JRuby on Rails application.

Changes:

## 0.8

- NOTE: This release is only compatible with JRuby 1.1RC3 or later.
- Because of recent API changes in trunk in preparation for JRuby 1.1, this release is not
backward compatible with previous JRuby releases. Hence the version bump.
- Internal: convert Java methods to be defined with annotations
- Fix problem with reserved words coming back pre-quoted from #indexes in postgres
- JRUBY-2205: Fix N^2 allocation of bytelists for mysql quoting (taw)
- Attempt a fix for Rubyforge 18059
- Upgrade derby to 10.3.2.1
- Fix db:create etc. in the case where JDBC is loaded in Rails' preinitializer.rb
- Fix db:drop to actually work
- Fix for Rubyforge #11567 (Matt Williams)

Latest News
TZInfo::Data v1.2014.2 Released
    Philip Ross - 2014-03-25 22:32
TZInfo v0.3.39 Released
    Philip Ross - 2014-03-09 20:23
TZInfo::Data v1.2014.1 Released
    Philip Ross - 2014-03-09 20:00
Automatic Ruby 14.2.0 has been released!
    id 774 - 2014-02-26 06:23
kramdown 1.3.2 released
    Thomas Leitner - 2014-02-16 08:35

 

Forums | Admin

Discussion Forums: activerecord-jdbc-adapter-0.8-released

Start New Thread Start New Thread

 

Topic Topic Starter Replies Last Post